<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Tactic Arena: include/SDL/SDL_gamecontroller.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="icon.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Tactic Arena
   </div>
   <div id="projectbrief">Reproduction of Tactic Arena with Custom features</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_d44c64559bbebec7f509842c48db8b23.html">include</a></li><li class="navelem"><a class="el" href="dir_bb71c587d4eee030bda30f2f35ebd6b7.html">SDL</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">SDL_gamecontroller.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_s_d_l__gamecontroller_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment">  Simple DirectMedia Layer</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">  Copyright (C) 1997-2020 Sam Lantinga &lt;slouken@libsdl.org&gt;</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"></span> </div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment">  This software is provided &#39;as-is&#39;, without any express or implied</span></div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment">  warranty.  In no event will the authors be held liable for any damages</span></div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment">  arising from the use of this software.</span></div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment"></span> </div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment">  Permission is granted to anyone to use this software for any purpose,</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment">  including commercial applications, and to alter it and redistribute it</span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment">  freely, subject to the following restrictions:</span></div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"></span> </div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment">  1. The origin of this software must not be misrepresented; you must not</span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment">     claim that you wrote the original software. If you use this software</span></div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="comment">     in a product, an acknowledgment in the product documentation would be</span></div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="comment">     appreciated but is not required.</span></div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="comment">  2. Altered source versions must be plainly marked as such, and must not be</span></div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="comment">     misrepresented as being the original software.</span></div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="comment">  3. This notice may not be removed or altered from any source distribution.</span></div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="comment">*/</span></div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160; </div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;<span class="preprocessor">#ifndef SDL_gamecontroller_h_</span></div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="preprocessor">#define SDL_gamecontroller_h_</span></div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160; </div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_s_d_l__stdinc_8h.html">SDL_stdinc.h</a>&quot;</span></div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_s_d_l__error_8h.html">SDL_error.h</a>&quot;</span></div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_s_d_l__rwops_8h.html">SDL_rwops.h</a>&quot;</span></div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_s_d_l__sensor_8h.html">SDL_sensor.h</a>&quot;</span></div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_s_d_l__joystick_8h.html">SDL_joystick.h</a>&quot;</span></div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160; </div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="begin__code_8h.html">begin_code.h</a>&quot;</span></div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;<span class="comment">/* Set up for C function definitions, even when using C++ */</span></div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;<span class="preprocessor">#ifdef __cplusplus</span></div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;<span class="keyword">extern</span> <span class="stringliteral">&quot;C&quot;</span> {</div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;<span class="preprocessor">#endif</span></div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160; </div>
<div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;<span class="keyword">struct </span>_SDL_GameController;</div>
<div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;<span class="keyword">typedef</span> <span class="keyword">struct </span>_SDL_GameController SDL_GameController;</div>
<div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160; </div>
<div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;<span class="keyword">typedef</span> <span class="keyword">enum</span></div>
<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;{</div>
<div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;    SDL_CONTROLLER_TYPE_UNKNOWN = 0,</div>
<div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;    SDL_CONTROLLER_TYPE_XBOX360,</div>
<div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;    SDL_CONTROLLER_TYPE_XBOXONE,</div>
<div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;    SDL_CONTROLLER_TYPE_PS3,</div>
<div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;    SDL_CONTROLLER_TYPE_PS4,</div>
<div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;    SDL_CONTROLLER_TYPE_NINTENDO_SWITCH_PRO,</div>
<div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;    SDL_CONTROLLER_TYPE_VIRTUAL,</div>
<div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;    SDL_CONTROLLER_TYPE_PS5</div>
<div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;} SDL_GameControllerType;</div>
<div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160; </div>
<div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;<span class="keyword">typedef</span> <span class="keyword">enum</span></div>
<div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;{</div>
<div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;    SDL_CONTROLLER_BINDTYPE_NONE = 0,</div>
<div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;    SDL_CONTROLLER_BINDTYPE_BUTTON,</div>
<div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;    SDL_CONTROLLER_BINDTYPE_AXIS,</div>
<div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;    SDL_CONTROLLER_BINDTYPE_HAT</div>
<div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;} SDL_GameControllerBindType;</div>
<div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160; </div>
<div class="line"><a name="l00084"></a><span class="lineno"><a class="line" href="struct_s_d_l___game_controller_button_bind.html">   84</a></span>&#160;<span class="keyword">typedef</span> <span class="keyword">struct </span><a class="code" href="struct_s_d_l___game_controller_button_bind.html">SDL_GameControllerButtonBind</a></div>
<div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;{</div>
<div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;    SDL_GameControllerBindType bindType;</div>
<div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;    <span class="keyword">union</span></div>
<div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;    {</div>
<div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;        <span class="keywordtype">int</span> button;</div>
<div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;        <span class="keywordtype">int</span> axis;</div>
<div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;        <span class="keyword">struct </span>{</div>
<div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;            <span class="keywordtype">int</span> hat;</div>
<div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;            <span class="keywordtype">int</span> hat_mask;</div>
<div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;        } hat;</div>
<div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;    } value;</div>
<div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160; </div>
<div class="line"><a name="l00097"></a><span class="lineno"><a class="line" href="_s_d_l__gamecontroller_8h.html#ac05d685077e640c887c2f83de995767e">   97</a></span>&#160;} <a class="code" href="_s_d_l__gamecontroller_8h.html#ac05d685077e640c887c2f83de995767e">SDL_GameControllerButtonBind</a>;</div>
<div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160; </div>
<div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160; </div>
<div class="line"><a name="l00134"></a><span class="lineno"><a class="line" href="_s_d_l__gamecontroller_8h.html#a01da8611222d5648872fbb4440c886af">  134</a></span>&#160;<span class="keyword">extern</span> DECLSPEC <span class="keywordtype">int</span> SDLCALL <a class="code" href="_s_d_l__gamecontroller_8h.html#a01da8611222d5648872fbb4440c886af">SDL_GameControllerAddMappingsFromRW</a>(<a class="code" href="struct_s_d_l___r_wops.html">SDL_RWops</a> * rw, <span class="keywordtype">int</span> freerw);</div>
<div class="line"><a name="l00135"></a><span class="lineno">  135</span>&#160; </div>
<div class="line"><a name="l00141"></a><span class="lineno"><a class="line" href="_s_d_l__gamecontroller_8h.html#a86b050862858714f651a4cf08fea2d3a">  141</a></span>&#160;<span class="preprocessor">#define SDL_GameControllerAddMappingsFromFile(file)   SDL_GameControllerAddMappingsFromRW(SDL_RWFromFile(file, &quot;rb&quot;</span>), 1)</div>
<div class="line"><a name="l00142"></a><span class="lineno">  142</span>&#160; </div>
<div class="line"><a name="l00148"></a><span class="lineno"><a class="line" href="_s_d_l__gamecontroller_8h.html#a62cb682b1c589135cd32cce381d403f8">  148</a></span>&#160;<span class="keyword">extern</span> DECLSPEC <span class="keywordtype">int</span> SDLCALL <a class="code" href="_s_d_l__gamecontroller_8h.html#a62cb682b1c589135cd32cce381d403f8">SDL_GameControllerAddMapping</a>(<span class="keyword">const</span> <span class="keywordtype">char</span>* mappingString);</div>
<div class="line"><a name="l00149"></a><span class="lineno">  149</span>&#160; </div>
<div class="line"><a name="l00155"></a><span class="lineno"><a class="line" href="_s_d_l__gamecontroller_8h.html#ac14eb47ec6097d89c7bec14f6b27ebfe">  155</a></span>&#160;<span class="keyword">extern</span> DECLSPEC <span class="keywordtype">int</span> SDLCALL <a class="code" href="_s_d_l__gamecontroller_8h.html#ac14eb47ec6097d89c7bec14f6b27ebfe">SDL_GameControllerNumMappings</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a name="l00156"></a><span class="lineno">  156</span>&#160; </div>
<div class="line"><a name="l00162"></a><span class="lineno"><a class="line" href="_s_d_l__gamecontroller_8h.html#ac5ddf8927b92d95968f568ec6399bc18">  162</a></span>&#160;<span class="keyword">extern</span> DECLSPEC <span class="keywordtype">char</span> * SDLCALL <a class="code" href="_s_d_l__gamecontroller_8h.html#ac5ddf8927b92d95968f568ec6399bc18">SDL_GameControllerMappingForIndex</a>(<span class="keywordtype">int</span> mapping_index);</div>
<div class="line"><a name="l00163"></a><span class="lineno">  163</span>&#160; </div>
<div class="line"><a name="l00169"></a><span class="lineno"><a class="line" href="_s_d_l__gamecontroller_8h.html#a2bd404799b40e27d75d3699c866904cf">  169</a></span>&#160;<span class="keyword">extern</span> DECLSPEC <span class="keywordtype">char</span> * SDLCALL <a class="code" href="_s_d_l__gamecontroller_8h.html#a2bd404799b40e27d75d3699c866904cf">SDL_GameControllerMappingForGUID</a>(<a class="code" href="struct_s_d_l___joystick_g_u_i_d.html">SDL_JoystickGUID</a> guid);</div>
<div class="line"><a name="l00170"></a><span class="lineno">  170</span>&#160; </div>
<div class="line"><a name="l00176"></a><span class="lineno"><a class="line" href="_s_d_l__gamecontroller_8h.html#a6d56a421a407e4587dfd0be98255fdf7">  176</a></span>&#160;<span class="keyword">extern</span> DECLSPEC <span class="keywordtype">char</span> * SDLCALL <a class="code" href="_s_d_l__gamecontroller_8h.html#a6d56a421a407e4587dfd0be98255fdf7">SDL_GameControllerMapping</a>(SDL_GameController *gamecontroller);</div>
<div class="line"><a name="l00177"></a><span class="lineno">  177</span>&#160; </div>
<div class="line"><a name="l00181"></a><span class="lineno"><a class="line" href="_s_d_l__gamecontroller_8h.html#a3307c27938a336b83c317b6054d91bd4">  181</a></span>&#160;<span class="keyword">extern</span> DECLSPEC SDL_bool SDLCALL <a class="code" href="_s_d_l__gamecontroller_8h.html#a3307c27938a336b83c317b6054d91bd4">SDL_IsGameController</a>(<span class="keywordtype">int</span> joystick_index);</div>
<div class="line"><a name="l00182"></a><span class="lineno">  182</span>&#160; </div>
<div class="line"><a name="l00188"></a><span class="lineno"><a class="line" href="_s_d_l__gamecontroller_8h.html#aa27333eaf19fbcf39df244aa19c5d043">  188</a></span>&#160;<span class="keyword">extern</span> DECLSPEC <span class="keyword">const</span> <span class="keywordtype">char</span> *SDLCALL <a class="code" href="_s_d_l__gamecontroller_8h.html#aa27333eaf19fbcf39df244aa19c5d043">SDL_GameControllerNameForIndex</a>(<span class="keywordtype">int</span> joystick_index);</div>
<div class="line"><a name="l00189"></a><span class="lineno">  189</span>&#160; </div>
<div class="line"><a name="l00194"></a><span class="lineno"><a class="line" href="_s_d_l__gamecontroller_8h.html#a8cab24dcd19022722c306f04fdfc6b6a">  194</a></span>&#160;<span class="keyword">extern</span> DECLSPEC SDL_GameControllerType SDLCALL <a class="code" href="_s_d_l__gamecontroller_8h.html#a8cab24dcd19022722c306f04fdfc6b6a">SDL_GameControllerTypeForIndex</a>(<span class="keywordtype">int</span> joystick_index);</div>
<div class="line"><a name="l00195"></a><span class="lineno">  195</span>&#160; </div>
<div class="line"><a name="l00202"></a><span class="lineno"><a class="line" href="_s_d_l__gamecontroller_8h.html#a425074be07233d9e116bf6f3ebcb1f11">  202</a></span>&#160;<span class="keyword">extern</span> DECLSPEC <span class="keywordtype">char</span> *SDLCALL <a class="code" href="_s_d_l__gamecontroller_8h.html#a425074be07233d9e116bf6f3ebcb1f11">SDL_GameControllerMappingForDeviceIndex</a>(<span class="keywordtype">int</span> joystick_index);</div>
<div class="line"><a name="l00203"></a><span class="lineno">  203</span>&#160; </div>
<div class="line"><a name="l00213"></a><span class="lineno"><a class="line" href="_s_d_l__gamecontroller_8h.html#ac7725e08ac17961bd7d5f8d4eb0c4033">  213</a></span>&#160;<span class="keyword">extern</span> DECLSPEC SDL_GameController *SDLCALL <a class="code" href="_s_d_l__gamecontroller_8h.html#ac7725e08ac17961bd7d5f8d4eb0c4033">SDL_GameControllerOpen</a>(<span class="keywordtype">int</span> joystick_index);</div>
<div class="line"><a name="l00214"></a><span class="lineno">  214</span>&#160; </div>
<div class="line"><a name="l00218"></a><span class="lineno"><a class="line" href="_s_d_l__gamecontroller_8h.html#a34e43c763202a2d7124f24fdaf508a2a">  218</a></span>&#160;<span class="keyword">extern</span> DECLSPEC SDL_GameController *SDLCALL <a class="code" href="_s_d_l__gamecontroller_8h.html#a34e43c763202a2d7124f24fdaf508a2a">SDL_GameControllerFromInstanceID</a>(<a class="code" href="_s_d_l__joystick_8h.html#a3c3d32500cb08f76ee8077983912c0bd">SDL_JoystickID</a> joyid);</div>
<div class="line"><a name="l00219"></a><span class="lineno">  219</span>&#160; </div>
<div class="line"><a name="l00223"></a><span class="lineno"><a class="line" href="_s_d_l__gamecontroller_8h.html#ac30c5d89ad1c490bbc8d5370885d9c4d">  223</a></span>&#160;<span class="keyword">extern</span> DECLSPEC SDL_GameController *SDLCALL <a class="code" href="_s_d_l__gamecontroller_8h.html#ac30c5d89ad1c490bbc8d5370885d9c4d">SDL_GameControllerFromPlayerIndex</a>(<span class="keywordtype">int</span> player_index);</div>
<div class="line"><a name="l00224"></a><span class="lineno">  224</span>&#160; </div>
<div class="line"><a name="l00228"></a><span class="lineno"><a class="line" href="_s_d_l__gamecontroller_8h.html#add465dba60b0e2ff4e0b53f15471be1e">  228</a></span>&#160;<span class="keyword">extern</span> DECLSPEC <span class="keyword">const</span> <span class="keywordtype">char</span> *SDLCALL <a class="code" href="_s_d_l__gamecontroller_8h.html#add465dba60b0e2ff4e0b53f15471be1e">SDL_GameControllerName</a>(SDL_GameController *gamecontroller);</div>
<div class="line"><a name="l00229"></a><span class="lineno">  229</span>&#160; </div>
<div class="line"><a name="l00233"></a><span class="lineno"><a class="line" href="_s_d_l__gamecontroller_8h.html#aab21a8d107d382ce7ff32afbe82b8776">  233</a></span>&#160;<span class="keyword">extern</span> DECLSPEC SDL_GameControllerType SDLCALL <a class="code" href="_s_d_l__gamecontroller_8h.html#aab21a8d107d382ce7ff32afbe82b8776">SDL_GameControllerGetType</a>(SDL_GameController *gamecontroller);</div>
<div class="line"><a name="l00234"></a><span class="lineno">  234</span>&#160; </div>
<div class="line"><a name="l00240"></a><span class="lineno"><a class="line" href="_s_d_l__gamecontroller_8h.html#a99740db152ae93bcdc59a8b540c3178d">  240</a></span>&#160;<span class="keyword">extern</span> DECLSPEC <span class="keywordtype">int</span> SDLCALL <a class="code" href="_s_d_l__gamecontroller_8h.html#a99740db152ae93bcdc59a8b540c3178d">SDL_GameControllerGetPlayerIndex</a>(SDL_GameController *gamecontroller);</div>
<div class="line"><a name="l00241"></a><span class="lineno">  241</span>&#160; </div>
<div class="line"><a name="l00245"></a><span class="lineno"><a class="line" href="_s_d_l__gamecontroller_8h.html#a85be71ba10423ad4da459131a13a0f5f">  245</a></span>&#160;<span class="keyword">extern</span> DECLSPEC <span class="keywordtype">void</span> SDLCALL <a class="code" href="_s_d_l__gamecontroller_8h.html#a85be71ba10423ad4da459131a13a0f5f">SDL_GameControllerSetPlayerIndex</a>(SDL_GameController *gamecontroller, <span class="keywordtype">int</span> player_index);</div>
<div class="line"><a name="l00246"></a><span class="lineno">  246</span>&#160; </div>
<div class="line"><a name="l00251"></a><span class="lineno"><a class="line" href="_s_d_l__gamecontroller_8h.html#ab0032725dcea365502694731c37605f7">  251</a></span>&#160;<span class="keyword">extern</span> DECLSPEC Uint16 SDLCALL <a class="code" href="_s_d_l__gamecontroller_8h.html#ab0032725dcea365502694731c37605f7">SDL_GameControllerGetVendor</a>(SDL_GameController *gamecontroller);</div>
<div class="line"><a name="l00252"></a><span class="lineno">  252</span>&#160; </div>
<div class="line"><a name="l00257"></a><span class="lineno"><a class="line" href="_s_d_l__gamecontroller_8h.html#a8ea81761681d1666a3b447eb9ef2dee8">  257</a></span>&#160;<span class="keyword">extern</span> DECLSPEC Uint16 SDLCALL <a class="code" href="_s_d_l__gamecontroller_8h.html#a8ea81761681d1666a3b447eb9ef2dee8">SDL_GameControllerGetProduct</a>(SDL_GameController *gamecontroller);</div>
<div class="line"><a name="l00258"></a><span class="lineno">  258</span>&#160; </div>
<div class="line"><a name="l00263"></a><span class="lineno"><a class="line" href="_s_d_l__gamecontroller_8h.html#a2e3eda7c9faf9bf0f4e06d89f3859c72">  263</a></span>&#160;<span class="keyword">extern</span> DECLSPEC Uint16 SDLCALL <a class="code" href="_s_d_l__gamecontroller_8h.html#a2e3eda7c9faf9bf0f4e06d89f3859c72">SDL_GameControllerGetProductVersion</a>(SDL_GameController *gamecontroller);</div>
<div class="line"><a name="l00264"></a><span class="lineno">  264</span>&#160; </div>
<div class="line"><a name="l00270"></a><span class="lineno"><a class="line" href="_s_d_l__gamecontroller_8h.html#a8427463c67571c4dfb49cc2edcd0027e">  270</a></span>&#160;<span class="keyword">extern</span> DECLSPEC <span class="keyword">const</span> <span class="keywordtype">char</span> * SDLCALL <a class="code" href="_s_d_l__gamecontroller_8h.html#a8427463c67571c4dfb49cc2edcd0027e">SDL_GameControllerGetSerial</a>(SDL_GameController *gamecontroller);</div>
<div class="line"><a name="l00271"></a><span class="lineno">  271</span>&#160; </div>
<div class="line"><a name="l00276"></a><span class="lineno"><a class="line" href="_s_d_l__gamecontroller_8h.html#adeeeba5a268842412f6578f38e75d231">  276</a></span>&#160;<span class="keyword">extern</span> DECLSPEC SDL_bool SDLCALL <a class="code" href="_s_d_l__gamecontroller_8h.html#adeeeba5a268842412f6578f38e75d231">SDL_GameControllerGetAttached</a>(SDL_GameController *gamecontroller);</div>
<div class="line"><a name="l00277"></a><span class="lineno">  277</span>&#160; </div>
<div class="line"><a name="l00281"></a><span class="lineno"><a class="line" href="_s_d_l__gamecontroller_8h.html#af2aac9107334b73d94b93f9c5ef51eb4">  281</a></span>&#160;<span class="keyword">extern</span> DECLSPEC SDL_Joystick *SDLCALL <a class="code" href="_s_d_l__gamecontroller_8h.html#af2aac9107334b73d94b93f9c5ef51eb4">SDL_GameControllerGetJoystick</a>(SDL_GameController *gamecontroller);</div>
<div class="line"><a name="l00282"></a><span class="lineno">  282</span>&#160; </div>
<div class="line"><a name="l00292"></a><span class="lineno"><a class="line" href="_s_d_l__gamecontroller_8h.html#a457fd59b3dec7d1b6ed384973b584bc6">  292</a></span>&#160;<span class="keyword">extern</span> DECLSPEC <span class="keywordtype">int</span> SDLCALL <a class="code" href="_s_d_l__gamecontroller_8h.html#a457fd59b3dec7d1b6ed384973b584bc6">SDL_GameControllerEventState</a>(<span class="keywordtype">int</span> state);</div>
<div class="line"><a name="l00293"></a><span class="lineno">  293</span>&#160; </div>
<div class="line"><a name="l00300"></a><span class="lineno"><a class="line" href="_s_d_l__gamecontroller_8h.html#a92fe68241a17b60b2240c04d01b73e6b">  300</a></span>&#160;<span class="keyword">extern</span> DECLSPEC <span class="keywordtype">void</span> SDLCALL <a class="code" href="_s_d_l__gamecontroller_8h.html#a92fe68241a17b60b2240c04d01b73e6b">SDL_GameControllerUpdate</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a name="l00301"></a><span class="lineno">  301</span>&#160; </div>
<div class="line"><a name="l00302"></a><span class="lineno">  302</span>&#160; </div>
<div class="line"><a name="l00312"></a><span class="lineno"><a class="line" href="_s_d_l__gamecontroller_8h.html#a96d0bda99d806397e4c697241ccffa1c">  312</a></span>&#160;<span class="keyword">typedef</span> <span class="keyword">enum</span></div>
<div class="line"><a name="l00313"></a><span class="lineno">  313</span>&#160;{</div>
<div class="line"><a name="l00314"></a><span class="lineno">  314</span>&#160;    SDL_CONTROLLER_AXIS_INVALID = -1,</div>
<div class="line"><a name="l00315"></a><span class="lineno">  315</span>&#160;    SDL_CONTROLLER_AXIS_LEFTX,</div>
<div class="line"><a name="l00316"></a><span class="lineno">  316</span>&#160;    SDL_CONTROLLER_AXIS_LEFTY,</div>
<div class="line"><a name="l00317"></a><span class="lineno">  317</span>&#160;    SDL_CONTROLLER_AXIS_RIGHTX,</div>
<div class="line"><a name="l00318"></a><span class="lineno">  318</span>&#160;    SDL_CONTROLLER_AXIS_RIGHTY,</div>
<div class="line"><a name="l00319"></a><span class="lineno">  319</span>&#160;    SDL_CONTROLLER_AXIS_TRIGGERLEFT,</div>
<div class="line"><a name="l00320"></a><span class="lineno">  320</span>&#160;    SDL_CONTROLLER_AXIS_TRIGGERRIGHT,</div>
<div class="line"><a name="l00321"></a><span class="lineno">  321</span>&#160;    SDL_CONTROLLER_AXIS_MAX</div>
<div class="line"><a name="l00322"></a><span class="lineno">  322</span>&#160;} <a class="code" href="_s_d_l__gamecontroller_8h.html#a96d0bda99d806397e4c697241ccffa1c">SDL_GameControllerAxis</a>;</div>
<div class="line"><a name="l00323"></a><span class="lineno">  323</span>&#160; </div>
<div class="line"><a name="l00327"></a><span class="lineno"><a class="line" href="_s_d_l__gamecontroller_8h.html#a44a5320a7241b218417d9bfb995907d7">  327</a></span>&#160;<span class="keyword">extern</span> DECLSPEC <a class="code" href="_s_d_l__gamecontroller_8h.html#a96d0bda99d806397e4c697241ccffa1c">SDL_GameControllerAxis</a> SDLCALL <a class="code" href="_s_d_l__gamecontroller_8h.html#a44a5320a7241b218417d9bfb995907d7">SDL_GameControllerGetAxisFromString</a>(<span class="keyword">const</span> <span class="keywordtype">char</span> *pchString);</div>
<div class="line"><a name="l00328"></a><span class="lineno">  328</span>&#160; </div>
<div class="line"><a name="l00332"></a><span class="lineno"><a class="line" href="_s_d_l__gamecontroller_8h.html#a66cbcb3062d6e99e896611a2bde88456">  332</a></span>&#160;<span class="keyword">extern</span> DECLSPEC <span class="keyword">const</span> <span class="keywordtype">char</span>* SDLCALL <a class="code" href="_s_d_l__gamecontroller_8h.html#a66cbcb3062d6e99e896611a2bde88456">SDL_GameControllerGetStringForAxis</a>(<a class="code" href="_s_d_l__gamecontroller_8h.html#a96d0bda99d806397e4c697241ccffa1c">SDL_GameControllerAxis</a> axis);</div>
<div class="line"><a name="l00333"></a><span class="lineno">  333</span>&#160; </div>
<div class="line"><a name="l00337"></a><span class="lineno">  337</span>&#160;<span class="keyword">extern</span> DECLSPEC <a class="code" href="struct_s_d_l___game_controller_button_bind.html">SDL_GameControllerButtonBind</a> SDLCALL</div>
<div class="line"><a name="l00338"></a><span class="lineno"><a class="line" href="_s_d_l__gamecontroller_8h.html#acdb9303cc6b67f1a0ec3ee55ad8e29d5">  338</a></span>&#160;<a class="code" href="_s_d_l__gamecontroller_8h.html#acdb9303cc6b67f1a0ec3ee55ad8e29d5">SDL_GameControllerGetBindForAxis</a>(SDL_GameController *gamecontroller,</div>
<div class="line"><a name="l00339"></a><span class="lineno">  339</span>&#160;                                 <a class="code" href="_s_d_l__gamecontroller_8h.html#a96d0bda99d806397e4c697241ccffa1c">SDL_GameControllerAxis</a> axis);</div>
<div class="line"><a name="l00340"></a><span class="lineno">  340</span>&#160; </div>
<div class="line"><a name="l00344"></a><span class="lineno">  344</span>&#160;<span class="keyword">extern</span> DECLSPEC SDL_bool SDLCALL</div>
<div class="line"><a name="l00345"></a><span class="lineno"><a class="line" href="_s_d_l__gamecontroller_8h.html#a8448d364a118ef54ba1d240f318d7a03">  345</a></span>&#160;<a class="code" href="_s_d_l__gamecontroller_8h.html#a8448d364a118ef54ba1d240f318d7a03">SDL_GameControllerHasAxis</a>(SDL_GameController *gamecontroller, <a class="code" href="_s_d_l__gamecontroller_8h.html#a96d0bda99d806397e4c697241ccffa1c">SDL_GameControllerAxis</a> axis);</div>
<div class="line"><a name="l00346"></a><span class="lineno">  346</span>&#160; </div>
<div class="line"><a name="l00355"></a><span class="lineno">  355</span>&#160;<span class="keyword">extern</span> DECLSPEC Sint16 SDLCALL</div>
<div class="line"><a name="l00356"></a><span class="lineno"><a class="line" href="_s_d_l__gamecontroller_8h.html#a067291389e9a8a1fbc8cb2b0dabb8dd2">  356</a></span>&#160;<a class="code" href="_s_d_l__gamecontroller_8h.html#a067291389e9a8a1fbc8cb2b0dabb8dd2">SDL_GameControllerGetAxis</a>(SDL_GameController *gamecontroller, <a class="code" href="_s_d_l__gamecontroller_8h.html#a96d0bda99d806397e4c697241ccffa1c">SDL_GameControllerAxis</a> axis);</div>
<div class="line"><a name="l00357"></a><span class="lineno">  357</span>&#160; </div>
<div class="line"><a name="l00361"></a><span class="lineno"><a class="line" href="_s_d_l__gamecontroller_8h.html#a9e4d3f8c9c9860064a68a700e0486f98">  361</a></span>&#160;<span class="keyword">typedef</span> <span class="keyword">enum</span></div>
<div class="line"><a name="l00362"></a><span class="lineno">  362</span>&#160;{</div>
<div class="line"><a name="l00363"></a><span class="lineno">  363</span>&#160;    SDL_CONTROLLER_BUTTON_INVALID = -1,</div>
<div class="line"><a name="l00364"></a><span class="lineno">  364</span>&#160;    SDL_CONTROLLER_BUTTON_A,</div>
<div class="line"><a name="l00365"></a><span class="lineno">  365</span>&#160;    SDL_CONTROLLER_BUTTON_B,</div>
<div class="line"><a name="l00366"></a><span class="lineno">  366</span>&#160;    SDL_CONTROLLER_BUTTON_X,</div>
<div class="line"><a name="l00367"></a><span class="lineno">  367</span>&#160;    SDL_CONTROLLER_BUTTON_Y,</div>
<div class="line"><a name="l00368"></a><span class="lineno">  368</span>&#160;    SDL_CONTROLLER_BUTTON_BACK,</div>
<div class="line"><a name="l00369"></a><span class="lineno">  369</span>&#160;    SDL_CONTROLLER_BUTTON_GUIDE,</div>
<div class="line"><a name="l00370"></a><span class="lineno">  370</span>&#160;    SDL_CONTROLLER_BUTTON_START,</div>
<div class="line"><a name="l00371"></a><span class="lineno">  371</span>&#160;    SDL_CONTROLLER_BUTTON_LEFTSTICK,</div>
<div class="line"><a name="l00372"></a><span class="lineno">  372</span>&#160;    SDL_CONTROLLER_BUTTON_RIGHTSTICK,</div>
<div class="line"><a name="l00373"></a><span class="lineno">  373</span>&#160;    SDL_CONTROLLER_BUTTON_LEFTSHOULDER,</div>
<div class="line"><a name="l00374"></a><span class="lineno">  374</span>&#160;    SDL_CONTROLLER_BUTTON_RIGHTSHOULDER,</div>
<div class="line"><a name="l00375"></a><span class="lineno">  375</span>&#160;    SDL_CONTROLLER_BUTTON_DPAD_UP,</div>
<div class="line"><a name="l00376"></a><span class="lineno">  376</span>&#160;    SDL_CONTROLLER_BUTTON_DPAD_DOWN,</div>
<div class="line"><a name="l00377"></a><span class="lineno">  377</span>&#160;    SDL_CONTROLLER_BUTTON_DPAD_LEFT,</div>
<div class="line"><a name="l00378"></a><span class="lineno">  378</span>&#160;    SDL_CONTROLLER_BUTTON_DPAD_RIGHT,</div>
<div class="line"><a name="l00379"></a><span class="lineno">  379</span>&#160;    SDL_CONTROLLER_BUTTON_MISC1,    <span class="comment">/* Xbox Series X share button, PS5 microphone button, Nintendo Switch Pro capture button */</span></div>
<div class="line"><a name="l00380"></a><span class="lineno">  380</span>&#160;    SDL_CONTROLLER_BUTTON_PADDLE1,  <span class="comment">/* Xbox Elite paddle P1 */</span></div>
<div class="line"><a name="l00381"></a><span class="lineno">  381</span>&#160;    SDL_CONTROLLER_BUTTON_PADDLE2,  <span class="comment">/* Xbox Elite paddle P3 */</span></div>
<div class="line"><a name="l00382"></a><span class="lineno">  382</span>&#160;    SDL_CONTROLLER_BUTTON_PADDLE3,  <span class="comment">/* Xbox Elite paddle P2 */</span></div>
<div class="line"><a name="l00383"></a><span class="lineno">  383</span>&#160;    SDL_CONTROLLER_BUTTON_PADDLE4,  <span class="comment">/* Xbox Elite paddle P4 */</span></div>
<div class="line"><a name="l00384"></a><span class="lineno">  384</span>&#160;    SDL_CONTROLLER_BUTTON_TOUCHPAD, <span class="comment">/* PS4/PS5 touchpad button */</span></div>
<div class="line"><a name="l00385"></a><span class="lineno">  385</span>&#160;    SDL_CONTROLLER_BUTTON_MAX</div>
<div class="line"><a name="l00386"></a><span class="lineno">  386</span>&#160;} <a class="code" href="_s_d_l__gamecontroller_8h.html#a9e4d3f8c9c9860064a68a700e0486f98">SDL_GameControllerButton</a>;</div>
<div class="line"><a name="l00387"></a><span class="lineno">  387</span>&#160; </div>
<div class="line"><a name="l00391"></a><span class="lineno"><a class="line" href="_s_d_l__gamecontroller_8h.html#ae40707a1ec3121ce7a891c8a5417c918">  391</a></span>&#160;<span class="keyword">extern</span> DECLSPEC <a class="code" href="_s_d_l__gamecontroller_8h.html#a9e4d3f8c9c9860064a68a700e0486f98">SDL_GameControllerButton</a> SDLCALL <a class="code" href="_s_d_l__gamecontroller_8h.html#ae40707a1ec3121ce7a891c8a5417c918">SDL_GameControllerGetButtonFromString</a>(<span class="keyword">const</span> <span class="keywordtype">char</span> *pchString);</div>
<div class="line"><a name="l00392"></a><span class="lineno">  392</span>&#160; </div>
<div class="line"><a name="l00396"></a><span class="lineno"><a class="line" href="_s_d_l__gamecontroller_8h.html#a5afc30d12ed8c51e24e2ce32eca032de">  396</a></span>&#160;<span class="keyword">extern</span> DECLSPEC <span class="keyword">const</span> <span class="keywordtype">char</span>* SDLCALL <a class="code" href="_s_d_l__gamecontroller_8h.html#a5afc30d12ed8c51e24e2ce32eca032de">SDL_GameControllerGetStringForButton</a>(<a class="code" href="_s_d_l__gamecontroller_8h.html#a9e4d3f8c9c9860064a68a700e0486f98">SDL_GameControllerButton</a> button);</div>
<div class="line"><a name="l00397"></a><span class="lineno">  397</span>&#160; </div>
<div class="line"><a name="l00401"></a><span class="lineno">  401</span>&#160;<span class="keyword">extern</span> DECLSPEC <a class="code" href="struct_s_d_l___game_controller_button_bind.html">SDL_GameControllerButtonBind</a> SDLCALL</div>
<div class="line"><a name="l00402"></a><span class="lineno"><a class="line" href="_s_d_l__gamecontroller_8h.html#a4ee15324cc28aa53bab9f28e71c96840">  402</a></span>&#160;<a class="code" href="_s_d_l__gamecontroller_8h.html#a4ee15324cc28aa53bab9f28e71c96840">SDL_GameControllerGetBindForButton</a>(SDL_GameController *gamecontroller,</div>
<div class="line"><a name="l00403"></a><span class="lineno">  403</span>&#160;                                   <a class="code" href="_s_d_l__gamecontroller_8h.html#a9e4d3f8c9c9860064a68a700e0486f98">SDL_GameControllerButton</a> button);</div>
<div class="line"><a name="l00404"></a><span class="lineno">  404</span>&#160; </div>
<div class="line"><a name="l00408"></a><span class="lineno"><a class="line" href="_s_d_l__gamecontroller_8h.html#a761d5b2da1c9aef500cebe401c6ed30f">  408</a></span>&#160;<span class="keyword">extern</span> DECLSPEC SDL_bool SDLCALL <a class="code" href="_s_d_l__gamecontroller_8h.html#a761d5b2da1c9aef500cebe401c6ed30f">SDL_GameControllerHasButton</a>(SDL_GameController *gamecontroller,</div>
<div class="line"><a name="l00409"></a><span class="lineno">  409</span>&#160;                                                             <a class="code" href="_s_d_l__gamecontroller_8h.html#a9e4d3f8c9c9860064a68a700e0486f98">SDL_GameControllerButton</a> button);</div>
<div class="line"><a name="l00410"></a><span class="lineno">  410</span>&#160; </div>
<div class="line"><a name="l00416"></a><span class="lineno"><a class="line" href="_s_d_l__gamecontroller_8h.html#afa9f025f4262bdfba38c364ec9cc31bf">  416</a></span>&#160;<span class="keyword">extern</span> DECLSPEC Uint8 SDLCALL <a class="code" href="_s_d_l__gamecontroller_8h.html#afa9f025f4262bdfba38c364ec9cc31bf">SDL_GameControllerGetButton</a>(SDL_GameController *gamecontroller,</div>
<div class="line"><a name="l00417"></a><span class="lineno">  417</span>&#160;                                                          <a class="code" href="_s_d_l__gamecontroller_8h.html#a9e4d3f8c9c9860064a68a700e0486f98">SDL_GameControllerButton</a> button);</div>
<div class="line"><a name="l00418"></a><span class="lineno">  418</span>&#160; </div>
<div class="line"><a name="l00422"></a><span class="lineno"><a class="line" href="_s_d_l__gamecontroller_8h.html#a5a22ed44ff4c46e2ec8edeea48b8b1ae">  422</a></span>&#160;<span class="keyword">extern</span> DECLSPEC <span class="keywordtype">int</span> SDLCALL <a class="code" href="_s_d_l__gamecontroller_8h.html#a5a22ed44ff4c46e2ec8edeea48b8b1ae">SDL_GameControllerGetNumTouchpads</a>(SDL_GameController *gamecontroller);</div>
<div class="line"><a name="l00423"></a><span class="lineno">  423</span>&#160; </div>
<div class="line"><a name="l00427"></a><span class="lineno"><a class="line" href="_s_d_l__gamecontroller_8h.html#a80657ada0dcc10e971df3cf07b5c7106">  427</a></span>&#160;<span class="keyword">extern</span> DECLSPEC <span class="keywordtype">int</span> SDLCALL <a class="code" href="_s_d_l__gamecontroller_8h.html#a80657ada0dcc10e971df3cf07b5c7106">SDL_GameControllerGetNumTouchpadFingers</a>(SDL_GameController *gamecontroller, <span class="keywordtype">int</span> touchpad);</div>
<div class="line"><a name="l00428"></a><span class="lineno">  428</span>&#160; </div>
<div class="line"><a name="l00432"></a><span class="lineno"><a class="line" href="_s_d_l__gamecontroller_8h.html#a4a13f3fc8b896356f0bd57edebb4a72c">  432</a></span>&#160;<span class="keyword">extern</span> DECLSPEC <span class="keywordtype">int</span> SDLCALL <a class="code" href="_s_d_l__gamecontroller_8h.html#a4a13f3fc8b896356f0bd57edebb4a72c">SDL_GameControllerGetTouchpadFinger</a>(SDL_GameController *gamecontroller, <span class="keywordtype">int</span> touchpad, <span class="keywordtype">int</span> finger, Uint8 *state, <span class="keywordtype">float</span> *x, <span class="keywordtype">float</span> *y, <span class="keywordtype">float</span> *pressure);</div>
<div class="line"><a name="l00433"></a><span class="lineno">  433</span>&#160; </div>
<div class="line"><a name="l00442"></a><span class="lineno"><a class="line" href="_s_d_l__gamecontroller_8h.html#af84b3cbfe9f9acd9563c0d63cc57247a">  442</a></span>&#160;<span class="keyword">extern</span> DECLSPEC SDL_bool SDLCALL <a class="code" href="_s_d_l__gamecontroller_8h.html#af84b3cbfe9f9acd9563c0d63cc57247a">SDL_GameControllerHasSensor</a>(SDL_GameController *gamecontroller, <a class="code" href="_s_d_l__sensor_8h.html#a94a441696f7d053dd541ec0b7e00e33a">SDL_SensorType</a> type);</div>
<div class="line"><a name="l00443"></a><span class="lineno">  443</span>&#160; </div>
<div class="line"><a name="l00453"></a><span class="lineno"><a class="line" href="_s_d_l__gamecontroller_8h.html#acee01b6bdc79b5dda14b77538b1d34ba">  453</a></span>&#160;<span class="keyword">extern</span> DECLSPEC <span class="keywordtype">int</span> SDLCALL <a class="code" href="_s_d_l__gamecontroller_8h.html#acee01b6bdc79b5dda14b77538b1d34ba">SDL_GameControllerSetSensorEnabled</a>(SDL_GameController *gamecontroller, <a class="code" href="_s_d_l__sensor_8h.html#a94a441696f7d053dd541ec0b7e00e33a">SDL_SensorType</a> type, SDL_bool enabled);</div>
<div class="line"><a name="l00454"></a><span class="lineno">  454</span>&#160; </div>
<div class="line"><a name="l00463"></a><span class="lineno"><a class="line" href="_s_d_l__gamecontroller_8h.html#a289122b9f72b3e89671fcbfaa6d61699">  463</a></span>&#160;<span class="keyword">extern</span> DECLSPEC SDL_bool SDLCALL <a class="code" href="_s_d_l__gamecontroller_8h.html#a289122b9f72b3e89671fcbfaa6d61699">SDL_GameControllerIsSensorEnabled</a>(SDL_GameController *gamecontroller, <a class="code" href="_s_d_l__sensor_8h.html#a94a441696f7d053dd541ec0b7e00e33a">SDL_SensorType</a> type);</div>
<div class="line"><a name="l00464"></a><span class="lineno">  464</span>&#160; </div>
<div class="line"><a name="l00478"></a><span class="lineno"><a class="line" href="_s_d_l__gamecontroller_8h.html#ac258208c13968bac123c18751dc3f198">  478</a></span>&#160;<span class="keyword">extern</span> DECLSPEC <span class="keywordtype">int</span> SDLCALL <a class="code" href="_s_d_l__gamecontroller_8h.html#ac258208c13968bac123c18751dc3f198">SDL_GameControllerGetSensorData</a>(SDL_GameController *gamecontroller, <a class="code" href="_s_d_l__sensor_8h.html#a94a441696f7d053dd541ec0b7e00e33a">SDL_SensorType</a> type, <span class="keywordtype">float</span> *data, <span class="keywordtype">int</span> num_values);</div>
<div class="line"><a name="l00479"></a><span class="lineno">  479</span>&#160; </div>
<div class="line"><a name="l00491"></a><span class="lineno"><a class="line" href="_s_d_l__gamecontroller_8h.html#af656d1c71fe07da1146c376439d9b403">  491</a></span>&#160;<span class="keyword">extern</span> DECLSPEC <span class="keywordtype">int</span> SDLCALL <a class="code" href="_s_d_l__gamecontroller_8h.html#af656d1c71fe07da1146c376439d9b403">SDL_GameControllerRumble</a>(SDL_GameController *gamecontroller, Uint16 low_frequency_rumble, Uint16 high_frequency_rumble, Uint32 duration_ms);</div>
<div class="line"><a name="l00492"></a><span class="lineno">  492</span>&#160; </div>
<div class="line"><a name="l00504"></a><span class="lineno"><a class="line" href="_s_d_l__gamecontroller_8h.html#a2879f90f77b4de4f73892aef4cf73d26">  504</a></span>&#160;<span class="keyword">extern</span> DECLSPEC <span class="keywordtype">int</span> SDLCALL <a class="code" href="_s_d_l__gamecontroller_8h.html#a2879f90f77b4de4f73892aef4cf73d26">SDL_GameControllerRumbleTriggers</a>(SDL_GameController *gamecontroller, Uint16 left_rumble, Uint16 right_rumble, Uint32 duration_ms);</div>
<div class="line"><a name="l00505"></a><span class="lineno">  505</span>&#160; </div>
<div class="line"><a name="l00513"></a><span class="lineno"><a class="line" href="_s_d_l__gamecontroller_8h.html#aea8e212c4b72bb4e72c4e5f1a25457c6">  513</a></span>&#160;<span class="keyword">extern</span> DECLSPEC SDL_bool SDLCALL <a class="code" href="_s_d_l__gamecontroller_8h.html#aea8e212c4b72bb4e72c4e5f1a25457c6">SDL_GameControllerHasLED</a>(SDL_GameController *gamecontroller);</div>
<div class="line"><a name="l00514"></a><span class="lineno">  514</span>&#160; </div>
<div class="line"><a name="l00525"></a><span class="lineno"><a class="line" href="_s_d_l__gamecontroller_8h.html#a5c5e9971086494aeef01c3ee0325a132">  525</a></span>&#160;<span class="keyword">extern</span> DECLSPEC <span class="keywordtype">int</span> SDLCALL <a class="code" href="_s_d_l__gamecontroller_8h.html#a5c5e9971086494aeef01c3ee0325a132">SDL_GameControllerSetLED</a>(SDL_GameController *gamecontroller, Uint8 red, Uint8 green, Uint8 blue);</div>
<div class="line"><a name="l00526"></a><span class="lineno">  526</span>&#160; </div>
<div class="line"><a name="l00530"></a><span class="lineno"><a class="line" href="_s_d_l__gamecontroller_8h.html#a97fcf011947b35403c7d5319673a35e9">  530</a></span>&#160;<span class="keyword">extern</span> DECLSPEC <span class="keywordtype">void</span> SDLCALL <a class="code" href="_s_d_l__gamecontroller_8h.html#a97fcf011947b35403c7d5319673a35e9">SDL_GameControllerClose</a>(SDL_GameController *gamecontroller);</div>
<div class="line"><a name="l00531"></a><span class="lineno">  531</span>&#160; </div>
<div class="line"><a name="l00532"></a><span class="lineno">  532</span>&#160; </div>
<div class="line"><a name="l00533"></a><span class="lineno">  533</span>&#160;<span class="comment">/* Ends C function definitions when using C++ */</span></div>
<div class="line"><a name="l00534"></a><span class="lineno">  534</span>&#160;<span class="preprocessor">#ifdef __cplusplus</span></div>
<div class="line"><a name="l00535"></a><span class="lineno">  535</span>&#160;}</div>
<div class="line"><a name="l00536"></a><span class="lineno">  536</span>&#160;<span class="preprocessor">#endif</span></div>
<div class="line"><a name="l00537"></a><span class="lineno">  537</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="close__code_8h.html">close_code.h</a>&quot;</span></div>
<div class="line"><a name="l00538"></a><span class="lineno">  538</span>&#160; </div>
<div class="line"><a name="l00539"></a><span class="lineno">  539</span>&#160;<span class="preprocessor">#endif </span><span class="comment">/* SDL_gamecontroller_h_ */</span><span class="preprocessor"></span></div>
<div class="line"><a name="l00540"></a><span class="lineno">  540</span>&#160; </div>
<div class="line"><a name="l00541"></a><span class="lineno">  541</span>&#160;<span class="comment">/* vi: set ts=4 sw=4 expandtab: */</span></div>
<div class="ttc" id="a_s_d_l__error_8h_html"><div class="ttname"><a href="_s_d_l__error_8h.html">SDL_error.h</a></div></div>
<div class="ttc" id="a_s_d_l__gamecontroller_8h_html_a01da8611222d5648872fbb4440c886af"><div class="ttname"><a href="_s_d_l__gamecontroller_8h.html#a01da8611222d5648872fbb4440c886af">SDL_GameControllerAddMappingsFromRW</a></div><div class="ttdeci">DECLSPEC int SDLCALL SDL_GameControllerAddMappingsFromRW(SDL_RWops *rw, int freerw)</div></div>
<div class="ttc" id="a_s_d_l__gamecontroller_8h_html_a067291389e9a8a1fbc8cb2b0dabb8dd2"><div class="ttname"><a href="_s_d_l__gamecontroller_8h.html#a067291389e9a8a1fbc8cb2b0dabb8dd2">SDL_GameControllerGetAxis</a></div><div class="ttdeci">DECLSPEC Sint16 SDLCALL SDL_GameControllerGetAxis(SDL_GameController *gamecontroller, SDL_GameControllerAxis axis)</div></div>
<div class="ttc" id="a_s_d_l__gamecontroller_8h_html_a2879f90f77b4de4f73892aef4cf73d26"><div class="ttname"><a href="_s_d_l__gamecontroller_8h.html#a2879f90f77b4de4f73892aef4cf73d26">SDL_GameControllerRumbleTriggers</a></div><div class="ttdeci">DECLSPEC int SDLCALL SDL_GameControllerRumbleTriggers(SDL_GameController *gamecontroller, Uint16 left_rumble, Uint16 right_rumble, Uint32 duration_ms)</div></div>
<div class="ttc" id="a_s_d_l__gamecontroller_8h_html_a289122b9f72b3e89671fcbfaa6d61699"><div class="ttname"><a href="_s_d_l__gamecontroller_8h.html#a289122b9f72b3e89671fcbfaa6d61699">SDL_GameControllerIsSensorEnabled</a></div><div class="ttdeci">DECLSPEC SDL_bool SDLCALL SDL_GameControllerIsSensorEnabled(SDL_GameController *gamecontroller, SDL_SensorType type)</div></div>
<div class="ttc" id="a_s_d_l__gamecontroller_8h_html_a2bd404799b40e27d75d3699c866904cf"><div class="ttname"><a href="_s_d_l__gamecontroller_8h.html#a2bd404799b40e27d75d3699c866904cf">SDL_GameControllerMappingForGUID</a></div><div class="ttdeci">DECLSPEC char *SDLCALL SDL_GameControllerMappingForGUID(SDL_JoystickGUID guid)</div></div>
<div class="ttc" id="a_s_d_l__gamecontroller_8h_html_a2e3eda7c9faf9bf0f4e06d89f3859c72"><div class="ttname"><a href="_s_d_l__gamecontroller_8h.html#a2e3eda7c9faf9bf0f4e06d89f3859c72">SDL_GameControllerGetProductVersion</a></div><div class="ttdeci">DECLSPEC Uint16 SDLCALL SDL_GameControllerGetProductVersion(SDL_GameController *gamecontroller)</div></div>
<div class="ttc" id="a_s_d_l__gamecontroller_8h_html_a3307c27938a336b83c317b6054d91bd4"><div class="ttname"><a href="_s_d_l__gamecontroller_8h.html#a3307c27938a336b83c317b6054d91bd4">SDL_IsGameController</a></div><div class="ttdeci">DECLSPEC SDL_bool SDLCALL SDL_IsGameController(int joystick_index)</div></div>
<div class="ttc" id="a_s_d_l__gamecontroller_8h_html_a34e43c763202a2d7124f24fdaf508a2a"><div class="ttname"><a href="_s_d_l__gamecontroller_8h.html#a34e43c763202a2d7124f24fdaf508a2a">SDL_GameControllerFromInstanceID</a></div><div class="ttdeci">DECLSPEC SDL_GameController *SDLCALL SDL_GameControllerFromInstanceID(SDL_JoystickID joyid)</div></div>
<div class="ttc" id="a_s_d_l__gamecontroller_8h_html_a425074be07233d9e116bf6f3ebcb1f11"><div class="ttname"><a href="_s_d_l__gamecontroller_8h.html#a425074be07233d9e116bf6f3ebcb1f11">SDL_GameControllerMappingForDeviceIndex</a></div><div class="ttdeci">DECLSPEC char *SDLCALL SDL_GameControllerMappingForDeviceIndex(int joystick_index)</div></div>
<div class="ttc" id="a_s_d_l__gamecontroller_8h_html_a44a5320a7241b218417d9bfb995907d7"><div class="ttname"><a href="_s_d_l__gamecontroller_8h.html#a44a5320a7241b218417d9bfb995907d7">SDL_GameControllerGetAxisFromString</a></div><div class="ttdeci">DECLSPEC SDL_GameControllerAxis SDLCALL SDL_GameControllerGetAxisFromString(const char *pchString)</div></div>
<div class="ttc" id="a_s_d_l__gamecontroller_8h_html_a457fd59b3dec7d1b6ed384973b584bc6"><div class="ttname"><a href="_s_d_l__gamecontroller_8h.html#a457fd59b3dec7d1b6ed384973b584bc6">SDL_GameControllerEventState</a></div><div class="ttdeci">DECLSPEC int SDLCALL SDL_GameControllerEventState(int state)</div></div>
<div class="ttc" id="a_s_d_l__gamecontroller_8h_html_a4a13f3fc8b896356f0bd57edebb4a72c"><div class="ttname"><a href="_s_d_l__gamecontroller_8h.html#a4a13f3fc8b896356f0bd57edebb4a72c">SDL_GameControllerGetTouchpadFinger</a></div><div class="ttdeci">DECLSPEC int SDLCALL SDL_GameControllerGetTouchpadFinger(SDL_GameController *gamecontroller, int touchpad, int finger, Uint8 *state, float *x, float *y, float *pressure)</div></div>
<div class="ttc" id="a_s_d_l__gamecontroller_8h_html_a4ee15324cc28aa53bab9f28e71c96840"><div class="ttname"><a href="_s_d_l__gamecontroller_8h.html#a4ee15324cc28aa53bab9f28e71c96840">SDL_GameControllerGetBindForButton</a></div><div class="ttdeci">DECLSPEC SDL_GameControllerButtonBind SDLCALL SDL_GameControllerGetBindForButton(SDL_GameController *gamecontroller, SDL_GameControllerButton button)</div></div>
<div class="ttc" id="a_s_d_l__gamecontroller_8h_html_a5a22ed44ff4c46e2ec8edeea48b8b1ae"><div class="ttname"><a href="_s_d_l__gamecontroller_8h.html#a5a22ed44ff4c46e2ec8edeea48b8b1ae">SDL_GameControllerGetNumTouchpads</a></div><div class="ttdeci">DECLSPEC int SDLCALL SDL_GameControllerGetNumTouchpads(SDL_GameController *gamecontroller)</div></div>
<div class="ttc" id="a_s_d_l__gamecontroller_8h_html_a5afc30d12ed8c51e24e2ce32eca032de"><div class="ttname"><a href="_s_d_l__gamecontroller_8h.html#a5afc30d12ed8c51e24e2ce32eca032de">SDL_GameControllerGetStringForButton</a></div><div class="ttdeci">DECLSPEC const char *SDLCALL SDL_GameControllerGetStringForButton(SDL_GameControllerButton button)</div></div>
<div class="ttc" id="a_s_d_l__gamecontroller_8h_html_a5c5e9971086494aeef01c3ee0325a132"><div class="ttname"><a href="_s_d_l__gamecontroller_8h.html#a5c5e9971086494aeef01c3ee0325a132">SDL_GameControllerSetLED</a></div><div class="ttdeci">DECLSPEC int SDLCALL SDL_GameControllerSetLED(SDL_GameController *gamecontroller, Uint8 red, Uint8 green, Uint8 blue)</div></div>
<div class="ttc" id="a_s_d_l__gamecontroller_8h_html_a62cb682b1c589135cd32cce381d403f8"><div class="ttname"><a href="_s_d_l__gamecontroller_8h.html#a62cb682b1c589135cd32cce381d403f8">SDL_GameControllerAddMapping</a></div><div class="ttdeci">DECLSPEC int SDLCALL SDL_GameControllerAddMapping(const char *mappingString)</div></div>
<div class="ttc" id="a_s_d_l__gamecontroller_8h_html_a66cbcb3062d6e99e896611a2bde88456"><div class="ttname"><a href="_s_d_l__gamecontroller_8h.html#a66cbcb3062d6e99e896611a2bde88456">SDL_GameControllerGetStringForAxis</a></div><div class="ttdeci">DECLSPEC const char *SDLCALL SDL_GameControllerGetStringForAxis(SDL_GameControllerAxis axis)</div></div>
<div class="ttc" id="a_s_d_l__gamecontroller_8h_html_a6d56a421a407e4587dfd0be98255fdf7"><div class="ttname"><a href="_s_d_l__gamecontroller_8h.html#a6d56a421a407e4587dfd0be98255fdf7">SDL_GameControllerMapping</a></div><div class="ttdeci">DECLSPEC char *SDLCALL SDL_GameControllerMapping(SDL_GameController *gamecontroller)</div></div>
<div class="ttc" id="a_s_d_l__gamecontroller_8h_html_a761d5b2da1c9aef500cebe401c6ed30f"><div class="ttname"><a href="_s_d_l__gamecontroller_8h.html#a761d5b2da1c9aef500cebe401c6ed30f">SDL_GameControllerHasButton</a></div><div class="ttdeci">DECLSPEC SDL_bool SDLCALL SDL_GameControllerHasButton(SDL_GameController *gamecontroller, SDL_GameControllerButton button)</div></div>
<div class="ttc" id="a_s_d_l__gamecontroller_8h_html_a80657ada0dcc10e971df3cf07b5c7106"><div class="ttname"><a href="_s_d_l__gamecontroller_8h.html#a80657ada0dcc10e971df3cf07b5c7106">SDL_GameControllerGetNumTouchpadFingers</a></div><div class="ttdeci">DECLSPEC int SDLCALL SDL_GameControllerGetNumTouchpadFingers(SDL_GameController *gamecontroller, int touchpad)</div></div>
<div class="ttc" id="a_s_d_l__gamecontroller_8h_html_a8427463c67571c4dfb49cc2edcd0027e"><div class="ttname"><a href="_s_d_l__gamecontroller_8h.html#a8427463c67571c4dfb49cc2edcd0027e">SDL_GameControllerGetSerial</a></div><div class="ttdeci">DECLSPEC const char *SDLCALL SDL_GameControllerGetSerial(SDL_GameController *gamecontroller)</div></div>
<div class="ttc" id="a_s_d_l__gamecontroller_8h_html_a8448d364a118ef54ba1d240f318d7a03"><div class="ttname"><a href="_s_d_l__gamecontroller_8h.html#a8448d364a118ef54ba1d240f318d7a03">SDL_GameControllerHasAxis</a></div><div class="ttdeci">DECLSPEC SDL_bool SDLCALL SDL_GameControllerHasAxis(SDL_GameController *gamecontroller, SDL_GameControllerAxis axis)</div></div>
<div class="ttc" id="a_s_d_l__gamecontroller_8h_html_a85be71ba10423ad4da459131a13a0f5f"><div class="ttname"><a href="_s_d_l__gamecontroller_8h.html#a85be71ba10423ad4da459131a13a0f5f">SDL_GameControllerSetPlayerIndex</a></div><div class="ttdeci">DECLSPEC void SDLCALL SDL_GameControllerSetPlayerIndex(SDL_GameController *gamecontroller, int player_index)</div></div>
<div class="ttc" id="a_s_d_l__gamecontroller_8h_html_a8cab24dcd19022722c306f04fdfc6b6a"><div class="ttname"><a href="_s_d_l__gamecontroller_8h.html#a8cab24dcd19022722c306f04fdfc6b6a">SDL_GameControllerTypeForIndex</a></div><div class="ttdeci">DECLSPEC SDL_GameControllerType SDLCALL SDL_GameControllerTypeForIndex(int joystick_index)</div></div>
<div class="ttc" id="a_s_d_l__gamecontroller_8h_html_a8ea81761681d1666a3b447eb9ef2dee8"><div class="ttname"><a href="_s_d_l__gamecontroller_8h.html#a8ea81761681d1666a3b447eb9ef2dee8">SDL_GameControllerGetProduct</a></div><div class="ttdeci">DECLSPEC Uint16 SDLCALL SDL_GameControllerGetProduct(SDL_GameController *gamecontroller)</div></div>
<div class="ttc" id="a_s_d_l__gamecontroller_8h_html_a92fe68241a17b60b2240c04d01b73e6b"><div class="ttname"><a href="_s_d_l__gamecontroller_8h.html#a92fe68241a17b60b2240c04d01b73e6b">SDL_GameControllerUpdate</a></div><div class="ttdeci">DECLSPEC void SDLCALL SDL_GameControllerUpdate(void)</div></div>
<div class="ttc" id="a_s_d_l__gamecontroller_8h_html_a96d0bda99d806397e4c697241ccffa1c"><div class="ttname"><a href="_s_d_l__gamecontroller_8h.html#a96d0bda99d806397e4c697241ccffa1c">SDL_GameControllerAxis</a></div><div class="ttdeci">SDL_GameControllerAxis</div><div class="ttdef"><b>Definition:</b> SDL_gamecontroller.h:313</div></div>
<div class="ttc" id="a_s_d_l__gamecontroller_8h_html_a97fcf011947b35403c7d5319673a35e9"><div class="ttname"><a href="_s_d_l__gamecontroller_8h.html#a97fcf011947b35403c7d5319673a35e9">SDL_GameControllerClose</a></div><div class="ttdeci">DECLSPEC void SDLCALL SDL_GameControllerClose(SDL_GameController *gamecontroller)</div></div>
<div class="ttc" id="a_s_d_l__gamecontroller_8h_html_a99740db152ae93bcdc59a8b540c3178d"><div class="ttname"><a href="_s_d_l__gamecontroller_8h.html#a99740db152ae93bcdc59a8b540c3178d">SDL_GameControllerGetPlayerIndex</a></div><div class="ttdeci">DECLSPEC int SDLCALL SDL_GameControllerGetPlayerIndex(SDL_GameController *gamecontroller)</div></div>
<div class="ttc" id="a_s_d_l__gamecontroller_8h_html_a9e4d3f8c9c9860064a68a700e0486f98"><div class="ttname"><a href="_s_d_l__gamecontroller_8h.html#a9e4d3f8c9c9860064a68a700e0486f98">SDL_GameControllerButton</a></div><div class="ttdeci">SDL_GameControllerButton</div><div class="ttdef"><b>Definition:</b> SDL_gamecontroller.h:362</div></div>
<div class="ttc" id="a_s_d_l__gamecontroller_8h_html_aa27333eaf19fbcf39df244aa19c5d043"><div class="ttname"><a href="_s_d_l__gamecontroller_8h.html#aa27333eaf19fbcf39df244aa19c5d043">SDL_GameControllerNameForIndex</a></div><div class="ttdeci">DECLSPEC const char *SDLCALL SDL_GameControllerNameForIndex(int joystick_index)</div></div>
<div class="ttc" id="a_s_d_l__gamecontroller_8h_html_aab21a8d107d382ce7ff32afbe82b8776"><div class="ttname"><a href="_s_d_l__gamecontroller_8h.html#aab21a8d107d382ce7ff32afbe82b8776">SDL_GameControllerGetType</a></div><div class="ttdeci">DECLSPEC SDL_GameControllerType SDLCALL SDL_GameControllerGetType(SDL_GameController *gamecontroller)</div></div>
<div class="ttc" id="a_s_d_l__gamecontroller_8h_html_ab0032725dcea365502694731c37605f7"><div class="ttname"><a href="_s_d_l__gamecontroller_8h.html#ab0032725dcea365502694731c37605f7">SDL_GameControllerGetVendor</a></div><div class="ttdeci">DECLSPEC Uint16 SDLCALL SDL_GameControllerGetVendor(SDL_GameController *gamecontroller)</div></div>
<div class="ttc" id="a_s_d_l__gamecontroller_8h_html_ac05d685077e640c887c2f83de995767e"><div class="ttname"><a href="_s_d_l__gamecontroller_8h.html#ac05d685077e640c887c2f83de995767e">SDL_GameControllerButtonBind</a></div><div class="ttdeci">struct SDL_GameControllerButtonBind SDL_GameControllerButtonBind</div></div>
<div class="ttc" id="a_s_d_l__gamecontroller_8h_html_ac14eb47ec6097d89c7bec14f6b27ebfe"><div class="ttname"><a href="_s_d_l__gamecontroller_8h.html#ac14eb47ec6097d89c7bec14f6b27ebfe">SDL_GameControllerNumMappings</a></div><div class="ttdeci">DECLSPEC int SDLCALL SDL_GameControllerNumMappings(void)</div></div>
<div class="ttc" id="a_s_d_l__gamecontroller_8h_html_ac258208c13968bac123c18751dc3f198"><div class="ttname"><a href="_s_d_l__gamecontroller_8h.html#ac258208c13968bac123c18751dc3f198">SDL_GameControllerGetSensorData</a></div><div class="ttdeci">DECLSPEC int SDLCALL SDL_GameControllerGetSensorData(SDL_GameController *gamecontroller, SDL_SensorType type, float *data, int num_values)</div></div>
<div class="ttc" id="a_s_d_l__gamecontroller_8h_html_ac30c5d89ad1c490bbc8d5370885d9c4d"><div class="ttname"><a href="_s_d_l__gamecontroller_8h.html#ac30c5d89ad1c490bbc8d5370885d9c4d">SDL_GameControllerFromPlayerIndex</a></div><div class="ttdeci">DECLSPEC SDL_GameController *SDLCALL SDL_GameControllerFromPlayerIndex(int player_index)</div></div>
<div class="ttc" id="a_s_d_l__gamecontroller_8h_html_ac5ddf8927b92d95968f568ec6399bc18"><div class="ttname"><a href="_s_d_l__gamecontroller_8h.html#ac5ddf8927b92d95968f568ec6399bc18">SDL_GameControllerMappingForIndex</a></div><div class="ttdeci">DECLSPEC char *SDLCALL SDL_GameControllerMappingForIndex(int mapping_index)</div></div>
<div class="ttc" id="a_s_d_l__gamecontroller_8h_html_ac7725e08ac17961bd7d5f8d4eb0c4033"><div class="ttname"><a href="_s_d_l__gamecontroller_8h.html#ac7725e08ac17961bd7d5f8d4eb0c4033">SDL_GameControllerOpen</a></div><div class="ttdeci">DECLSPEC SDL_GameController *SDLCALL SDL_GameControllerOpen(int joystick_index)</div></div>
<div class="ttc" id="a_s_d_l__gamecontroller_8h_html_acdb9303cc6b67f1a0ec3ee55ad8e29d5"><div class="ttname"><a href="_s_d_l__gamecontroller_8h.html#acdb9303cc6b67f1a0ec3ee55ad8e29d5">SDL_GameControllerGetBindForAxis</a></div><div class="ttdeci">DECLSPEC SDL_GameControllerButtonBind SDLCALL SDL_GameControllerGetBindForAxis(SDL_GameController *gamecontroller, SDL_GameControllerAxis axis)</div></div>
<div class="ttc" id="a_s_d_l__gamecontroller_8h_html_acee01b6bdc79b5dda14b77538b1d34ba"><div class="ttname"><a href="_s_d_l__gamecontroller_8h.html#acee01b6bdc79b5dda14b77538b1d34ba">SDL_GameControllerSetSensorEnabled</a></div><div class="ttdeci">DECLSPEC int SDLCALL SDL_GameControllerSetSensorEnabled(SDL_GameController *gamecontroller, SDL_SensorType type, SDL_bool enabled)</div></div>
<div class="ttc" id="a_s_d_l__gamecontroller_8h_html_add465dba60b0e2ff4e0b53f15471be1e"><div class="ttname"><a href="_s_d_l__gamecontroller_8h.html#add465dba60b0e2ff4e0b53f15471be1e">SDL_GameControllerName</a></div><div class="ttdeci">DECLSPEC const char *SDLCALL SDL_GameControllerName(SDL_GameController *gamecontroller)</div></div>
<div class="ttc" id="a_s_d_l__gamecontroller_8h_html_adeeeba5a268842412f6578f38e75d231"><div class="ttname"><a href="_s_d_l__gamecontroller_8h.html#adeeeba5a268842412f6578f38e75d231">SDL_GameControllerGetAttached</a></div><div class="ttdeci">DECLSPEC SDL_bool SDLCALL SDL_GameControllerGetAttached(SDL_GameController *gamecontroller)</div></div>
<div class="ttc" id="a_s_d_l__gamecontroller_8h_html_ae40707a1ec3121ce7a891c8a5417c918"><div class="ttname"><a href="_s_d_l__gamecontroller_8h.html#ae40707a1ec3121ce7a891c8a5417c918">SDL_GameControllerGetButtonFromString</a></div><div class="ttdeci">DECLSPEC SDL_GameControllerButton SDLCALL SDL_GameControllerGetButtonFromString(const char *pchString)</div></div>
<div class="ttc" id="a_s_d_l__gamecontroller_8h_html_aea8e212c4b72bb4e72c4e5f1a25457c6"><div class="ttname"><a href="_s_d_l__gamecontroller_8h.html#aea8e212c4b72bb4e72c4e5f1a25457c6">SDL_GameControllerHasLED</a></div><div class="ttdeci">DECLSPEC SDL_bool SDLCALL SDL_GameControllerHasLED(SDL_GameController *gamecontroller)</div></div>
<div class="ttc" id="a_s_d_l__gamecontroller_8h_html_af2aac9107334b73d94b93f9c5ef51eb4"><div class="ttname"><a href="_s_d_l__gamecontroller_8h.html#af2aac9107334b73d94b93f9c5ef51eb4">SDL_GameControllerGetJoystick</a></div><div class="ttdeci">DECLSPEC SDL_Joystick *SDLCALL SDL_GameControllerGetJoystick(SDL_GameController *gamecontroller)</div></div>
<div class="ttc" id="a_s_d_l__gamecontroller_8h_html_af656d1c71fe07da1146c376439d9b403"><div class="ttname"><a href="_s_d_l__gamecontroller_8h.html#af656d1c71fe07da1146c376439d9b403">SDL_GameControllerRumble</a></div><div class="ttdeci">DECLSPEC int SDLCALL SDL_GameControllerRumble(SDL_GameController *gamecontroller, Uint16 low_frequency_rumble, Uint16 high_frequency_rumble, Uint32 duration_ms)</div></div>
<div class="ttc" id="a_s_d_l__gamecontroller_8h_html_af84b3cbfe9f9acd9563c0d63cc57247a"><div class="ttname"><a href="_s_d_l__gamecontroller_8h.html#af84b3cbfe9f9acd9563c0d63cc57247a">SDL_GameControllerHasSensor</a></div><div class="ttdeci">DECLSPEC SDL_bool SDLCALL SDL_GameControllerHasSensor(SDL_GameController *gamecontroller, SDL_SensorType type)</div></div>
<div class="ttc" id="a_s_d_l__gamecontroller_8h_html_afa9f025f4262bdfba38c364ec9cc31bf"><div class="ttname"><a href="_s_d_l__gamecontroller_8h.html#afa9f025f4262bdfba38c364ec9cc31bf">SDL_GameControllerGetButton</a></div><div class="ttdeci">DECLSPEC Uint8 SDLCALL SDL_GameControllerGetButton(SDL_GameController *gamecontroller, SDL_GameControllerButton button)</div></div>
<div class="ttc" id="a_s_d_l__joystick_8h_html"><div class="ttname"><a href="_s_d_l__joystick_8h.html">SDL_joystick.h</a></div></div>
<div class="ttc" id="a_s_d_l__joystick_8h_html_a3c3d32500cb08f76ee8077983912c0bd"><div class="ttname"><a href="_s_d_l__joystick_8h.html#a3c3d32500cb08f76ee8077983912c0bd">SDL_JoystickID</a></div><div class="ttdeci">Sint32 SDL_JoystickID</div><div class="ttdef"><b>Definition:</b> SDL_joystick.h:81</div></div>
<div class="ttc" id="a_s_d_l__rwops_8h_html"><div class="ttname"><a href="_s_d_l__rwops_8h.html">SDL_rwops.h</a></div></div>
<div class="ttc" id="a_s_d_l__sensor_8h_html"><div class="ttname"><a href="_s_d_l__sensor_8h.html">SDL_sensor.h</a></div></div>
<div class="ttc" id="a_s_d_l__sensor_8h_html_a94a441696f7d053dd541ec0b7e00e33a"><div class="ttname"><a href="_s_d_l__sensor_8h.html#a94a441696f7d053dd541ec0b7e00e33a">SDL_SensorType</a></div><div class="ttdeci">SDL_SensorType</div><div class="ttdef"><b>Definition:</b> SDL_sensor.h:70</div></div>
<div class="ttc" id="a_s_d_l__stdinc_8h_html"><div class="ttname"><a href="_s_d_l__stdinc_8h.html">SDL_stdinc.h</a></div></div>
<div class="ttc" id="abegin__code_8h_html"><div class="ttname"><a href="begin__code_8h.html">begin_code.h</a></div></div>
<div class="ttc" id="aclose__code_8h_html"><div class="ttname"><a href="close__code_8h.html">close_code.h</a></div></div>
<div class="ttc" id="astruct_s_d_l___game_controller_button_bind_html"><div class="ttname"><a href="struct_s_d_l___game_controller_button_bind.html">SDL_GameControllerButtonBind</a></div><div class="ttdef"><b>Definition:</b> SDL_gamecontroller.h:85</div></div>
<div class="ttc" id="astruct_s_d_l___joystick_g_u_i_d_html"><div class="ttname"><a href="struct_s_d_l___joystick_g_u_i_d.html">SDL_JoystickGUID</a></div><div class="ttdef"><b>Definition:</b> SDL_joystick.h:70</div></div>
<div class="ttc" id="astruct_s_d_l___r_wops_html"><div class="ttname"><a href="struct_s_d_l___r_wops.html">SDL_RWops</a></div><div class="ttdef"><b>Definition:</b> SDL_rwops.h:53</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
